<?xml version="1.0"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.cfs++.org/simulation
  ../../../../../../CFS/share/xml/CFS-Simulation/CFS.xsd">

<documentation>
    <title> parallel plate capacitor with dielectric material using Darwin double Lagrange multiplier formulation</title>
    <authors>
      <author>Klaus Roppert</author>
    </authors>
    <date>2022-02-10</date>
    <keywords>
      <keyword>magneticEdge</keyword>
      <keyword>darwin approximation</keyword>
    </keywords>
    <references>
       no
    </references>
    <isVerified>no</isVerified>
    <description>
      Frequency domain analysis of the Darwin formulation in double Lagrange
      multiplier version is used to simulate a simple parallel plate capacitor
    </description>
  </documentation>
  
  
    <!-- define which files are needed for simulation input & output-->
    <fileFormats>
        <input>
            <!-- specify your input file here -->
    <hdf5 fileName="ParallelPlateCapacitor_doubleL.h5ref"/>
        </input>
        <output>
            <hdf5/>
            <text id="txt"/>
        </output>
        <materialData file="mat.xml" format="xml"/>
    </fileFormats>

    <!-- material assignment -->
    <domain geometryType="3d">
        <regionList>
            <region name="V_dielec" material="dielec"/>
            <region name="V_electrode_top" material="copper"/>
            <region name="V_electrode_bottom" material="copper"/>
            <region name="V_feed_top" material="copper"/>
            <region name="V_feed_bottom" material="copper"/>
            <region name="V_air" material="air"/>
        </regionList>
    </domain>


  <fePolynomialList>
    <Legendre id="edgePoly">
      <isoOrder>1</isoOrder>
    </Legendre>  
    <Lagrange id="elecPoly">
      <isoOrder>1</isoOrder>
    </Lagrange>
    <Lagrange id="lagMultPoly">
      <isoOrder>1</isoOrder>
    </Lagrange>
  </fePolynomialList>

  <integrationSchemeList>
    <scheme id="elecInt">
      <method>Gauss</method>
      <order>3</order>
      <mode>absolute</mode>
    </scheme>
    <scheme id="lagMultInt">
      <method>Gauss</method>
      <order>3</order>
      <mode>absolute</mode>
    </scheme>
  </integrationSchemeList>




    <sequenceStep index="1">
        <analysis>
          <harmonic>
            <numFreq>10</numFreq>
            <startFreq>1e3</startFreq>
            <stopFreq>1e6</stopFreq>
            <sampling>log</sampling>
          </harmonic>
        </analysis>
        <pdeList>
          <magneticEdge formulation="Darwin_doubleLagrange" alpha="1.0" >
        <regionList>
                    <region name="V_dielec" isConducRegion="false" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt" />
                    <region name="V_air" isConducRegion="false" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt"/>
                    <region name="V_feed_top" isConducRegion="true" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt"/>
                    <region name="V_feed_bottom" isConducRegion="true" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt"/>
          <region name="V_electrode_top" isConducRegion="true" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt"/>
          <region name="V_electrode_bottom" isConducRegion="true" elecScalPolyId="elecPoly" lagrangeMultPolyId="lagMultPoly" elecScalIntegId="elecInt" lagrangeMultIntegId="lagMultInt"/>
                </regionList>
                <bcsAndLoads>
          <elecPotential name="S_electrode_top" value="1"/>
          <elecPotential name="S_electrode_bottom" value="0"/>
          
          <lagrangeMultiplier name="S_electrode_top" value="0"/>
          <lagrangeMultiplier name="S_electrode_bottom" value="0"/>
          <lagrangeMultiplier name="S_air_outer" value="0"/>
          <lagrangeMultiplier name="S_air_top" value="0"/>
          <lagrangeMultiplier name="S_air_bottom" value="0"/> 
          
          <lagrangeMultiplier1 name="S_electrode_top" value="0"/>
          <lagrangeMultiplier1 name="S_electrode_bottom" value="0"/>
          <lagrangeMultiplier1 name="S_air_outer" value="0"/>
          <lagrangeMultiplier1 name="S_air_top" value="0"/>
          <lagrangeMultiplier1 name="S_air_bottom" value="0"/> 
          
                  <fluxParallel name="S_air_outer"/>
                  <fluxParallel name="S_air_top"/>
                  <fluxParallel name="S_air_bottom"/>
                  <fluxParallel name="S_electrode_top"/>
                  <fluxParallel name="S_electrode_bottom"/>
                </bcsAndLoads>
                <storeResults>
          <elemResult type="magFluxDensity">
            <allRegions/>
          </elemResult>
                </storeResults>
          </magneticEdge>
        </pdeList>

    <linearSystems>
      <system>
        <solutionStrategy>
          <standard>
<!--             <exportLinSys format="matrix-market" system="true" -->
<!--                   rhs="true" baseName="MAT" damping="true" stiffness="true" /> -->
<!--             <matrix storage="sparseSym" reordering="Metis"/> -->
<!--               <setup idbcHandling="elimination"/> -->
              
          </standard>
        </solutionStrategy>
        <solverList>
          <pardiso>
<!--             <symStruct>yes</symStruct> -->
<!--             <invBoundIncompFac>800</invBoundIncompFac> -->
<!--             <IterRefineSteps>15</IterRefineSteps> -->
            <stats>no</stats>
          </pardiso>
        </solverList>
      </system>
    </linearSystems>

</sequenceStep>

        
</cfsSimulation>
